/*
 *	Perlin Production Co.Ltd. September 1993 (c).
 *	Test of GRAPHICS.REL abilities.
 */

#include "graphics.h"

main()
{

	init_wns();
	cls();
	puts("\nPRESS ENTER TO START.\n");
	message("Test of LINE 10,10,500,250");
	line(10,10,500,250);
	message ("Test of moveto(100,100);lineto(200,200);linerel(200,-100)");
	moveto(100,100);
	lineto(200,200);
	linerel(200,-100);
	message("Test of moverel(-40,-40); lineto(0,200)");
	moverel(-40,-40);
	lineto(0,200);
	message("Test of getx(),gety()");
	printf(" x= %d    y= %d",getx(),gety());
	message ("Test of putpixel(70,10)");
	putpixel(70,10);
	puts("THAT'S ALL, FOLKS!                           ");
}

message(string)
char *string;
{
	getchar();
	goto_xy(0,0);
	puts("                                                              ");
	goto_xy(0,0);
	puts(string);
	puts("\nPRESS ENTER TO NEXT TEST\n");
}
